<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/char_to_numeric_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  char_to_numeric_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in char_to_numeric_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: char_to_numeric_: 01/31/83  char_to_numeric_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: converts a user-supplied string to a numeric type, or
<span id="L12" class="LineNr">12 </span>signals the conversion condition if it cannot be converted.  The
<span id="L13" class="LineNr">13 </span>attributes of the numeric data created are returned.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Syntax:
<span id="L17" class="LineNr">17 </span>declare char_to_numeric_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr">18 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>call char_to_numeric_ <span class="textRainbow_lv0_p0">(</span>target_ptr<span class="textRainbow_lv0_o0">,</span> enc_type<span class="textRainbow_lv0_o0">,</span> enc_prec<span class="textRainbow_lv0_o0">,</span> source_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr">20 </span>     source_len<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Arguments:
<span id="L24" class="LineNr">24 </span>target_ptr
<span id="L25" class="LineNr">25 </span>   points to a buffer where the numeric data may be written.  No check
<span id="L26" class="LineNr">26 </span>   is made that the buffer is large enough to hold the data.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>enc_type
<span id="L28" class="LineNr">28 </span>   is the encoded type of the data created.  Its value is 2*M+P, where
<span id="L29" class="LineNr">29 </span>   M is a standard Multics type code, and P is 1 if the data is packed,
<span id="L30" class="LineNr">30 </span>   or 0 if it is not.  <span class="textRainbow_lv0_p0">(</span>P should always be 0.<span class="textRainbow_lv0_p0">)</span>  The value of Multics
<span id="L31" class="LineNr">31 </span>   type codes are defined in the Programmer's Reference Manual.
<span id="L32" class="LineNr">32 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>enc_prec
<span id="L36" class="LineNr">36 </span>   is the encoded precision of the data created.  The format of an
<span id="L37" class="LineNr">37 </span>   encoded precision is given by encoded_precision.incl.pl1.  See the
<span id="L38" class="LineNr">38 </span>   description of the assign_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr">39 </span>source_ptr
<span id="L40" class="LineNr">40 </span>   points to the character string to convert to numeric.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr">41 </span>source_len
<span id="L42" class="LineNr">42 </span>   is the number of characters in the input string.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
